body {
    background: rgb(50, 50, 55);
}

#info-container {
    position: fixed;
    top: 20%;
    left: 50%;
    transform: translate(-50%, -50%);
    color: rgb(245, 245, 255);
    font-family: "Arial";
    width: 100%;
    text-align: center;
}

#info-container * {
    text-align: center;
    display: block;
}

#move-result {
    font-size: 45px;
}

#score {
    font-size: 30px;
    margin-top: 25px;
}


#buttons-container {
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 100%;
    text-align: center;
    font-size: 0px;
}

.rps-button {
    width: 75px;
    height: 75px;
    border: 3px solid rgb(64, 64, 73);
    border-radius: 100%;
    background: rgb(109, 109, 125);
    font-size: 30px;
    margin: 0 20px;
    box-shadow: 0 2px 12px rgba(0, 0, 25, 0.35), inset 0 2px 10px rgba(0, 0, 25, 0.2);

    padding: 0;

    transition: all 0.15s ease;
}
.rps-button[figure="rock"] {
    margin-left: none;
}
.rps-button[figure="scissors"] {
    margin-right: none;
}
.rps-button:hover,
.rps-button:active {
    cursor: pointer;
    border: 3px solid rgb(78, 184, 255);
    box-shadow: 0 0 12px rgba(70, 161, 221, 0.35), inset 0 2px 10px rgba(0, 0, 50, 0.2);
    /* font-size: 37px; */
}
.rps-button:active {
    border: 3px solid rgb(116, 230, 81);
    box-shadow: 0 0 12px rgba(116, 230, 81, 0.35), inset 0 2px 10px rgba(20, 50, 00, 0.2);
}

.rps-button.rps-alternative {
    display: none;
}

.alternative .rps-button {
    display: none;
}
.alternative .rps-button.rps-alternative {
    display: initial;
}


@media all and (max-width: 700px) {

    #info-container {
        top: 33%;
    }

    #score {
        margin-top: 50px;
    }


    #buttons-container {
        top: auto;
        bottom: 120px;
        transform: translate(-50%, 0);
    }

    .rps-button {
        margin: 0;
    }
    .rps-button[figure="rock"] {
        position: absolute;
        left: 22%;
        transform: translate(-50%, 0);
    }
    .rps-button[figure="paper"] {
        position: absolute;
        left: 50%;
        transform: translate(-50%, 0);
    }
    .rps-button[figure="scissors"] {
        position: absolute;
        right: 22%;
        transform: translate(50%, 0);
    }
}

@keyframes highlight {
    0% {
        transform: scale(1);
    }
    25% {
        transform: scale(1.1);
    }
    100% {
        transform: scale(1);
    }
}